/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.controller.top;

import com.arrebol.taxiservicios.model.core.Person;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Picasso
 */
public class ProfileControllerTest {

    private static final String EMPLOYEE_ID = "e480d163-5444-4cdf-8989-9eff3550d087";
    private static final String AVATAR_THAT_EXIST = "images/avatar-01.png";
    private static final String AVATAR_THAT_NOT_EXIST = "images/TESTING";
    private ProfileController controller;

    public ProfileControllerTest() {
    }

    @Before
    public void setUp() {
        controller = new ProfileController();
    }

    @Test
    public void getEmployeeByID() {
        try {
            Person employee = controller.getEmployeeById(EMPLOYEE_ID);
            assertNotNull(employee);
        } catch (Exception e) {
            assertFalse(true);
        }
    }

    //@Test
    public void updateAvatar() {
        try {
            assertTrue(controller.updateAvatar(EMPLOYEE_ID, AVATAR_THAT_EXIST));
        } catch (Exception e) {
            assertFalse(true);
        }
    }

}
